Module java.desktop
Package javax.swing.plaf.metal

# Class MetalBorders.TableHeaderBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.TableHeaderBorder

All Implemented Interfaces:
  `Serializable`, `Border`

Enclosing class:
  MetalBorders

    public static class MetalBorders.TableHeaderBorder
    extends AbstractBorder

Border for a Table Header

Since:
  1.3

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected Insets` | `editorBorderInsets` | The border insets.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TableHeaderBorder()` |

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### editorBorderInsets

protected Insets editorBorderInsets
The border insets.

## Constructor Details

### TableHeaderBorder

public TableHeaderBorder()